---
title: "Data Model"
---


## [eicd](https://eic.phy.anl.gov/eicd) - EIC Data Model

The entire data model used (minus dd4pod) is defined in a single yaml file.
This file is processed by a tool called [podio](https://github.com/AIDASoft/podio) to generate the c++ code.
It can easily stamp out code in any language because under the hood podio uses `jinja2` templates to define the specific output files.



## dd4pod

 This is the output data model from `npsim` which is a slightly modified `ddsim`.
 The dd4pod data model emulates the default DD4hep output data structures but implements the model via `podio`.
 `dd4pod` is shipped in the [npdet](https://eic.phy.anl.gov/npdet) libraries.
 

- AIDAsoft repo: 

